> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/agents/get-sub-agent-links.md).

# Get Sub Agent Links

Get all sub-agent links for an agent.

Returns a list of sub-agents linked to this agent.

Users can only access agents within their organisation.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"SubAgentLinksResponseSchema":{"properties":{"sub_agent_links":{"items":{"$ref":"#/components/schemas/SubAgentLinkResponseSchema"},"type":"array","title":"Sub Agent Links"}},"type":"object","required":["sub_agent_links"],"title":"SubAgentLinksResponseSchema","description":"Pydantic schema for list of sub-agent links."},"SubAgentLinkResponseSchema":{"properties":{"sub_agent_id":{"type":"integer","title":"Sub Agent Id"},"name":{"type":"string","title":"Name"},"identifier":{"type":"string","title":"Identifier"}},"type":"object","required":["sub_agent_id","name","identifier"],"title":"SubAgentLinkResponseSchema","description":"Schema for sub-agent link response."}}},"paths":{"/api/v1/agents/{agent_id}/sub-agents":{"get":{"tags":["agents","public"],"summary":"Get Sub Agent Links","description":"Get all sub-agent links for an agent.\n\nReturns a list of sub-agents linked to this agent.\n\nUsers can only access agents within their organisation.","operationId":"agents-get_sub_agent_links","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"integer","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubAgentLinksResponseSchema"}}}},"401":{"description":"User not authenticated","content":{"application/json":{}}},"404":{"description":"Resource not found or user has no permission to access it","content":{"application/json":{}}}}}}}}
```
